CitrixApplication (CMDB Model API)
Keywords: com.collation.platform.model.topology.app.citrix.CitrixApplication interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.app.citrix
Interface CitrixApplication

All Superinterfaces:
  ConfigurationItem, LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, Provider, java.io.Serializable, SoftwareModule, Version

    public interface CitrixApplication

extends SoftwareModule, Version, ConfigurationItem

Naming Rules:
  0="citrixFarm,applicationID"
Persistable:
  true
Display Name:
  name

Field Summary
`static java.lang.String` | `IBM_COPYRIGHT`

Method Summary
`CitrixAppFolder` | `getAppFolder()`
`long` | `getApplicationID()`
`java.lang.String` | `getBrowserName()`
`CitrixFarm` | `getCitrixFarm()`
`CitrixGroup[]` | `getCitrixGroups()`
`int` | `getDefaultEncryption()`
`java.lang.String` | `getDefaultInitProg()`
`int` | `getDefaultSoundType()`
`int` | `getDefaultWindowColor()`
`int` | `getDefaultWindowHeight()`
`int` | `getDefaultWindowScale()`
`int` | `getDefaultWindowType()`
`int` | `getDefaultWindowWidth()`
`java.lang.String` | `getDefaultWorkDir()`
`int` | `getDesktopIntegrate()`
`java.lang.String` | `getDistinguishedName()`
`boolean` | `getEnableApp()`
`int` | `getMFAttributes()`
`int` | `getPNAttributes()`
`int` | `getPNFolder()`
`int` | `getPublishingFlags()`
`boolean` | `getReadOnly()`
`CitrixServer[]` | `getServers()`
`CitrixUser[]` | `getUsers()`
`boolean` | `hasAppFolder()`
`boolean` | `hasApplicationID()`
`boolean` | `hasBrowserName()`
`boolean` | `hasCitrixFarm()`
`boolean` | `hasCitrixGroups()`
`boolean` | `hasDefaultEncryption()`
`boolean` | `hasDefaultInitProg()`
`boolean` | `hasDefaultSoundType()`
`boolean` | `hasDefaultWindowColor()`
`boolean` | `hasDefaultWindowHeight()`
`boolean` | `hasDefaultWindowScale()`
`boolean` | `hasDefaultWindowType()`
`boolean` | `hasDefaultWindowWidth()`
`boolean` | `hasDefaultWorkDir()`
`boolean` | `hasDesktopIntegrate()`
`boolean` | `hasDistinguishedName()`
`boolean` | `hasEnableApp()`
`boolean` | `hasMFAttributes()`
`boolean` | `hasPNAttributes()`
`boolean` | `hasPNFolder()`
`boolean` | `hasPublishingFlags()`
`boolean` | `hasReadOnly()`
`boolean` | `hasServers()`
`boolean` | `hasUsers()`
`void` | `setAppFolder(CitrixAppFolder x)`
`void` | `setApplicationID(long x)`
`void` | `setBrowserName(java.lang.String x)`
`void` | `setCitrixFarm(CitrixFarm x)`
`void` | `setCitrixGroups(CitrixGroup[] x)`
`void` | `setDefaultEncryption(int x)`
`void` | `setDefaultInitProg(java.lang.String x)`
`void` | `setDefaultSoundType(int x)`
`void` | `setDefaultWindowColor(int x)`
`void` | `setDefaultWindowHeight(int x)`
`void` | `setDefaultWindowScale(int x)`
`void` | `setDefaultWindowType(int x)`
`void` | `setDefaultWindowWidth(int x)`
`void` | `setDefaultWorkDir(java.lang.String x)`
`void` | `setDesktopIntegrate(int x)`
`void` | `setDistinguishedName(java.lang.String x)`
`void` | `setEnableApp(boolean x)`
`void` | `setMFAttributes(int x)`
`void` | `setPNAttributes(int x)`
`void` | `setPNFolder(int x)`
`void` | `setPublishingFlags(int x)`
`void` | `setReadOnly(boolean x)`
`void` | `setServers(CitrixServer[] x)`
`void` | `setUsers(CitrixUser[] x)`

Methods inherited from interface com.collation.platform.model.topology.app.SoftwareModule
`getFile, getFileName, getName, getParent, hasFile, hasFileName, hasName, hasParent, setFile, setFileName, setName, setParent`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Methods inherited from interface com.collation.platform.model.topology.process.Provider
`getActivities, getAdvertisedInterfaces, getSAPs, hasActivities, hasAdvertisedInterfaces, hasSAPs, setActivities, setAdvertisedInterfaces, setSAPs`

Methods inherited from interface com.collation.platform.model.topology.process.itil.ConfigurationItem
`getAssetID, getAssetTag, getCICategory, getConfigLastUpdate, getLastAuditState, getLastAuditTime, getLastLifecycleStateTime, getLifecycleState, getPrimaryOwner, hasAssetID, hasAssetTag, hasCICategory, hasConfigLastUpdate, hasLastAuditState, hasLastAuditTime, hasLastLifecycleStateTime, hasLifecycleState, hasPrimaryOwner, setAssetID, setAssetTag, setCICategory, setConfigLastUpdate, setLastAuditState, setLastAuditTime, setLastLifecycleStateTime, setLifecycleState, setPrimaryOwner`

Methods inherited from interface com.collation.platform.model.topology.core.Version
`getBuildLevel, getLevel, getMajorVersion, getModifier, getRelease, getVersionString, hasBuildLevel, hasLevel, hasMajorVersion, hasModifier, hasRelease, hasVersionString, setBuildLevel, setLevel, setMajorVersion, setModifier, setRelease, setVersionString`

Field Detail

### IBM_COPYRIGHT

    static final java.lang.String IBM_COPYRIGHT

See Also:
  Constant Field Values

Method Detail

### getDefaultWindowType

    int getDefaultWindowType()
                             throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setDefaultWindowType

    void setDefaultWindowType(int x)

### hasDefaultWindowType

    boolean hasDefaultWindowType()

### getServers

    CitrixServer[] getServers()
                              throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Provides" reverse="true"

### setServers

    void setServers(CitrixServer[] x)

### hasServers

    boolean hasServers()

### getUsers

    CitrixUser[] getUsers()
                          throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Uses" reverse="true"

### setUsers

    void setUsers(CitrixUser[] x)

### hasUsers

    boolean hasUsers()

### getAppFolder

    CitrixAppFolder getAppFolder()
                                 throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.MemberOf" reverse="false"

### setAppFolder

    void setAppFolder(CitrixAppFolder x)

### hasAppFolder

    boolean hasAppFolder()

### getDefaultInitProg

    java.lang.String getDefaultInitProg()
                                        throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setDefaultInitProg

    void setDefaultInitProg(java.lang.String x)

### hasDefaultInitProg

    boolean hasDefaultInitProg()

### getReadOnly

    boolean getReadOnly()
                        throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setReadOnly

    void setReadOnly(boolean x)

### hasReadOnly

    boolean hasReadOnly()

### getPNAttributes

    int getPNAttributes()
                        throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setPNAttributes

    void setPNAttributes(int x)

### hasPNAttributes

    boolean hasPNAttributes()

### getMFAttributes

    int getMFAttributes()
                        throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setMFAttributes

    void setMFAttributes(int x)

### hasMFAttributes

    boolean hasMFAttributes()

### getApplicationID

    long getApplicationID()
                          throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setApplicationID

    void setApplicationID(long x)

### hasApplicationID

    boolean hasApplicationID()

### getDistinguishedName

    java.lang.String getDistinguishedName()
                                          throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setDistinguishedName

    void setDistinguishedName(java.lang.String x)

### hasDistinguishedName

    boolean hasDistinguishedName()

### getDesktopIntegrate

    int getDesktopIntegrate()
                            throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setDesktopIntegrate

    void setDesktopIntegrate(int x)

### hasDesktopIntegrate

    boolean hasDesktopIntegrate()

### getDefaultWindowHeight

    int getDefaultWindowHeight()
                               throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setDefaultWindowHeight

    void setDefaultWindowHeight(int x)

### hasDefaultWindowHeight

    boolean hasDefaultWindowHeight()

### getDefaultEncryption

    int getDefaultEncryption()
                             throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setDefaultEncryption

    void setDefaultEncryption(int x)

### hasDefaultEncryption

    boolean hasDefaultEncryption()

### getEnableApp

    boolean getEnableApp()
                         throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setEnableApp

    void setEnableApp(boolean x)

### hasEnableApp

    boolean hasEnableApp()

### getCitrixFarm

    CitrixFarm getCitrixFarm()
                             throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.MemberOf" reverse="false"

### setCitrixFarm

    void setCitrixFarm(CitrixFarm x)

### hasCitrixFarm

    boolean hasCitrixFarm()

### getDefaultSoundType

    int getDefaultSoundType()
                            throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setDefaultSoundType

    void setDefaultSoundType(int x)

### hasDefaultSoundType

    boolean hasDefaultSoundType()

### getDefaultWindowScale

    int getDefaultWindowScale()
                              throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setDefaultWindowScale

    void setDefaultWindowScale(int x)

### hasDefaultWindowScale

    boolean hasDefaultWindowScale()

### getDefaultWorkDir

    java.lang.String getDefaultWorkDir()
                                       throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setDefaultWorkDir

    void setDefaultWorkDir(java.lang.String x)

### hasDefaultWorkDir

    boolean hasDefaultWorkDir()

### getPNFolder

    int getPNFolder()
                    throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setPNFolder

    void setPNFolder(int x)

### hasPNFolder

    boolean hasPNFolder()

### getDefaultWindowWidth

    int getDefaultWindowWidth()
                              throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setDefaultWindowWidth

    void setDefaultWindowWidth(int x)

### hasDefaultWindowWidth

    boolean hasDefaultWindowWidth()

### getCitrixGroups

    CitrixGroup[] getCitrixGroups()
                                  throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Uses" reverse="true"

### setCitrixGroups

    void setCitrixGroups(CitrixGroup[] x)

### hasCitrixGroups

    boolean hasCitrixGroups()

### getDefaultWindowColor

    int getDefaultWindowColor()
                              throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setDefaultWindowColor

    void setDefaultWindowColor(int x)

### hasDefaultWindowColor

    boolean hasDefaultWindowColor()

### getBrowserName

    java.lang.String getBrowserName()
                                    throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setBrowserName

    void setBrowserName(java.lang.String x)

### hasBrowserName

    boolean hasBrowserName()

### getPublishingFlags

    int getPublishingFlags()
                           throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setPublishingFlags

    void setPublishingFlags(int x)

### hasPublishingFlags

    boolean hasPublishingFlags()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD